> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# CreateScxSignUp

> Creates an onboarding sign-up for a new SCX seller on the given channel. Returns a sign-up id that must be passed to "POST /v2/sales-channels/scx/signups/{signUpId}/finalize" or "FinalizeScxSignUp" once the seller has completed onboarding.

If a request with this mutation's Idempotency-Key was already completed, the response's `extensions` contains an `idempotency.{responseName}` entry with `wasReplayed: true`.



**mutation** `CreateScxSignUp(request: CreateScxSignUpCommandRequestInput!): CreateScxSignUpCommandResponse!`

## Arguments

**`request`**: `CreateScxSignUpCommandRequestInput!` (required)

## Returns

`CreateScxSignUpCommandResponse!`

**`signUpId`**: `String!`

Server-generated id of the sign-up. Pass this to "POST /v2/sales-channels/scx/signups/{signUpId}/finalize" or "FinalizeScxSignUp" to complete it.

---

**`signUpUrl`**: `String!`

Onboarding URL the user shall open to complete the sign-up.

---

**`expiresAt`**: `DateTime!`

Point in time after which the sign-up and its SignUpUrl are no longer valid.

## Examples

```graphql Mutation
mutation CreateScxSignUp($request: CreateScxSignUpCommandRequestInput!) {
  CreateScxSignUp(request: $request) {
    signUpId
    signUpUrl
    expiresAt
  }
}
```

```json Variables
{
  "request": {
    "companyId": "id",
    "channel": "string"
  }
}
```

```json Response
{
  "data": {
    "CreateScxSignUp": {
      "signUpId": "string",
      "signUpUrl": "string",
      "expiresAt": "value"
    }
  }
}
```
